# coding: utf-8

"""
    VMware Aria Automation Assembler / Service Broker API

    A multi-cloud API for Cloud Automation Services  The APIs that list collections of resources also support OData like implementation. Below query params can be used across Assembler / Service Broker entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/catalog/api/items?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/catalog/api/items?$top=10&$skip=2```  3. `page` and `size` - page used in conjunction with `$size` helps in pagination of resources.      ```/catalog/api/items?page=0&size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /catalog/api/items?$filter=startswith(name, 'Act')     /catalog/api/items?$filter=toupper(name) eq 'ACTIVATE'     /catalog/api/items?$filter=substringof('renameVM', name)     /catalog/api/items?$filter=name eq 'ABCD'  # noqa: E501

    OpenAPI spec version: 2020-08-25
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ResourceIdRequestsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'action_id': 'str',
        'reason': 'str',
        'inputs': 'object'
    }

    attribute_map = {
        'action_id': 'actionId',
        'reason': 'reason',
        'inputs': 'inputs'
    }

    def __init__(self, action_id=None, reason=None, inputs=None):  # noqa: E501
        """ResourceIdRequestsBody - a model defined in Swagger"""  # noqa: E501
        self._action_id = None
        self._reason = None
        self._inputs = None
        self.discriminator = None
        if action_id is not None:
            self.action_id = action_id
        if reason is not None:
            self.reason = reason
        if inputs is not None:
            self.inputs = inputs

    @property
    def action_id(self):
        """Gets the action_id of this ResourceIdRequestsBody.  # noqa: E501

        The id of the action to perform.  # noqa: E501

        :return: The action_id of this ResourceIdRequestsBody.  # noqa: E501
        :rtype: str
        """
        return self._action_id

    @action_id.setter
    def action_id(self, action_id):
        """Sets the action_id of this ResourceIdRequestsBody.

        The id of the action to perform.  # noqa: E501

        :param action_id: The action_id of this ResourceIdRequestsBody.  # noqa: E501
        :type: str
        """

        self._action_id = action_id

    @property
    def reason(self):
        """Gets the reason of this ResourceIdRequestsBody.  # noqa: E501

        Reason for requesting a day2 operation  # noqa: E501

        :return: The reason of this ResourceIdRequestsBody.  # noqa: E501
        :rtype: str
        """
        return self._reason

    @reason.setter
    def reason(self, reason):
        """Sets the reason of this ResourceIdRequestsBody.

        Reason for requesting a day2 operation  # noqa: E501

        :param reason: The reason of this ResourceIdRequestsBody.  # noqa: E501
        :type: str
        """

        self._reason = reason

    @property
    def inputs(self):
        """Gets the inputs of this ResourceIdRequestsBody.  # noqa: E501


        :return: The inputs of this ResourceIdRequestsBody.  # noqa: E501
        :rtype: object
        """
        return self._inputs

    @inputs.setter
    def inputs(self, inputs):
        """Sets the inputs of this ResourceIdRequestsBody.


        :param inputs: The inputs of this ResourceIdRequestsBody.  # noqa: E501
        :type: object
        """

        self._inputs = inputs

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ResourceIdRequestsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ResourceIdRequestsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
